<?php

namespace Lession\Lession;

use DB;
use Illuminate\Database\Seeder;

class LessionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lessions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lession.lession.view',
                'name'      => 'View Lession',
            ],
            [
                'slug'      => 'lession.lession.create',
                'name'      => 'Create Lession',
            ],
            [
                'slug'      => 'lession.lession.edit',
                'name'      => 'Update Lession',
            ],
            [
                'slug'      => 'lession.lession.delete',
                'name'      => 'Delete Lession',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lession.lession.verify',
                'name'      => 'Verify Lession',
            ],
            [
                'slug'      => 'lession.lession.approve',
                'name'      => 'Approve Lession',
            ],
            [
                'slug'      => 'lession.lession.publish',
                'name'      => 'Publish Lession',
            ],
            [
                'slug'      => 'lession.lession.unpublish',
                'name'      => 'Unpublish Lession',
            ],
            [
                'slug'      => 'lession.lession.cancel',
                'name'      => 'Cancel Lession',
            ],
            [
                'slug'      => 'lession.lession.archive',
                'name'      => 'Archive Lession',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lession/lession',
                'name'        => 'Lession',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lession/lession',
                'name'        => 'Lession',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lession',
                'name'        => 'Lession',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Lession',
                'module'    => 'Lession',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lession.lession.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
