<?php

// Resource routes  for lession
Route::group(['prefix' => set_route_guard('web').'/lession'], function () {
    Route::put('lession/workflow/{example}/{step}', 'LessionWorkflowController@putWorkflow');
    Route::get('lession/workflow/{example}/{step}/{user}', 'LessionWorkflowController@getWorkflow');
    Route::resource('lession', 'LessionResourceController');
});

// Public  routes for lession
Route::get('lession/workflow/{lession}/{step}/{user}', 'LessionController@getWorkflow');
Route::get('lession/popular/{period?}', 'LessionPublicController@popular');
Route::get('lessions/', 'LessionPublicController@index');
Route::get('lessions/{slug?}', 'LessionPublicController@show');

